
electronique_chenillard_009_16f628_Init:

;electronique_chenillard_009_16f628.mpas,33 :: 		begin
;electronique_chenillard_009_16f628.mpas,35 :: 		CMCON := 7;
	MOVLW      7
	MOVWF      CMCON+0
;electronique_chenillard_009_16f628.mpas,38 :: 		OPTION_REG.NOT_RBPU := 0;  // bit 7 - enable pullup
	BCF        OPTION_REG+0, 7
;electronique_chenillard_009_16f628.mpas,39 :: 		OPTION_REG.T0CS := 0;  // bit 5 TMR0 Clock Source Select bit:0=Internal Clock (CLKO) / 1=Transition on T0CKI pin
	BCF        OPTION_REG+0, 5
;electronique_chenillard_009_16f628.mpas,40 :: 		OPTION_REG.T0SE := 0;  // bit 4 TMR0 Source Edge Select bit: 0=low/high / 1=high/low
	BCF        OPTION_REG+0, 4
;electronique_chenillard_009_16f628.mpas,41 :: 		OPTION_REG.PSA  := 1;  // bit 3 Prescaler Assignment bit: 0=Prescaler is assigned to the Timer0
	BSF        OPTION_REG+0, 3
;electronique_chenillard_009_16f628.mpas,42 :: 		OPTION_REG.PS2  := 0;  // bits 2-0  PS2:PS0: Prescaler Rate Select bits
	BCF        OPTION_REG+0, 2
;electronique_chenillard_009_16f628.mpas,43 :: 		OPTION_REG.PS1  := 0;
	BCF        OPTION_REG+0, 1
;electronique_chenillard_009_16f628.mpas,44 :: 		OPTION_REG.PS0  := 0;
	BCF        OPTION_REG+0, 0
;electronique_chenillard_009_16f628.mpas,45 :: 		TMR0 := 0;             // preset for timer register
	CLRF       TMR0+0
;electronique_chenillard_009_16f628.mpas,47 :: 		INTCON.GIE  := 0;
	BCF        INTCON+0, 7
;electronique_chenillard_009_16f628.mpas,48 :: 		INTCON.T0IE := 1;
	BSF        INTCON+0, 5
;electronique_chenillard_009_16f628.mpas,49 :: 		INTCON.INTE := 0;  // disable RB0 int
	BCF        INTCON+0, 4
;electronique_chenillard_009_16f628.mpas,50 :: 		INTCON.RBIE := 1;  // enable RB4..RB7 int (used to detect "Go" button pressed)
	BSF        INTCON+0, 3
;electronique_chenillard_009_16f628.mpas,52 :: 		TRISA       := %11110000;  // RA0..RA3 as output, other pins as input
	MOVLW      240
	MOVWF      TRISA+0
;electronique_chenillard_009_16f628.mpas,53 :: 		TRISB       := %11000000;  // RB0..RB5 as output, other pins as input
	MOVLW      192
	MOVWF      TRISB+0
;electronique_chenillard_009_16f628.mpas,54 :: 		PORTA       := %00000000;  // clear porta
	CLRF       PORTA+0
;electronique_chenillard_009_16f628.mpas,55 :: 		PORTB       := %11000000;  // clear portb
	MOVLW      192
	MOVWF      PORTB+0
;electronique_chenillard_009_16f628.mpas,57 :: 		ProgIdx     := 11;
	MOVLW      11
	MOVWF      _ProgIdx+0
;electronique_chenillard_009_16f628.mpas,58 :: 		bBtnPressed := false;
	CLRF       _bBtnPressed+0
;electronique_chenillard_009_16f628.mpas,60 :: 		end;
	RETURN
; end of electronique_chenillard_009_16f628_Init

electronique_chenillard_009_16f628_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_chenillard_009_16f628.mpas,63 :: 		begin
;electronique_chenillard_009_16f628.mpas,64 :: 		if INTCON.T0IF = 1 then
	BTFSS      INTCON+0, 2
	GOTO       L_electronique_chenillard_009_16f628_Interrupt3
;electronique_chenillard_009_16f628.mpas,66 :: 		TMR0   :=  0;
	CLRF       TMR0+0
;electronique_chenillard_009_16f628.mpas,67 :: 		INTCON.T0IF := 0;       // reset T0 flag
	BCF        INTCON+0, 2
;electronique_chenillard_009_16f628.mpas,68 :: 		end;
L_electronique_chenillard_009_16f628_Interrupt3:
;electronique_chenillard_009_16f628.mpas,69 :: 		if INTCON.RBIF = 1 then
	BTFSS      INTCON+0, 0
	GOTO       L_electronique_chenillard_009_16f628_Interrupt6
;electronique_chenillard_009_16f628.mpas,71 :: 		if PORTB.7 = 0 then     // "Go" button pressed
	BTFSC      PORTB+0, 7
	GOTO       L_electronique_chenillard_009_16f628_Interrupt9
;electronique_chenillard_009_16f628.mpas,72 :: 		bBtnPressed := true;
	MOVLW      255
	MOVWF      _bBtnPressed+0
L_electronique_chenillard_009_16f628_Interrupt9:
;electronique_chenillard_009_16f628.mpas,73 :: 		INTCON.RBIF := 0;       // reset RB4..RB7 int flag
	BCF        INTCON+0, 0
;electronique_chenillard_009_16f628.mpas,74 :: 		end;
L_electronique_chenillard_009_16f628_Interrupt6:
;electronique_chenillard_009_16f628.mpas,75 :: 		end;
L_electronique_chenillard_009_16f628_Interrupt118:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of electronique_chenillard_009_16f628_Interrupt

electronique_chenillard_009_16f628_DoDelay:

;electronique_chenillard_009_16f628.mpas,80 :: 		begin
;electronique_chenillard_009_16f628.mpas,81 :: 		iDelayCode := 0;
	CLRF       R1+0
;electronique_chenillard_009_16f628.mpas,82 :: 		if TestBit(PORTA, 5) then iDelayCode := iDelayCode + 1;
	CLRF       R0+0
	BTFSS      PORTA+0, 5
	GOTO       L_electronique_chenillard_009_16f628_DoDelay15
	MOVLW      1
	MOVWF      R0+0
L_electronique_chenillard_009_16f628_DoDelay15:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay13
	INCF       R1+0, 1
L_electronique_chenillard_009_16f628_DoDelay13:
;electronique_chenillard_009_16f628.mpas,83 :: 		if TestBit(PORTA, 6) then iDelayCode := iDelayCode + 2;
	CLRF       R0+0
	BTFSS      PORTA+0, 6
	GOTO       L_electronique_chenillard_009_16f628_DoDelay19
	MOVLW      1
	MOVWF      R0+0
L_electronique_chenillard_009_16f628_DoDelay19:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay17
	MOVLW      2
	ADDWF      R1+0, 1
L_electronique_chenillard_009_16f628_DoDelay17:
;electronique_chenillard_009_16f628.mpas,84 :: 		if TestBit(PORTA, 7) then iDelayCode := iDelayCode + 4;
	CLRF       R0+0
	BTFSS      PORTA+0, 7
	GOTO       L_electronique_chenillard_009_16f628_DoDelay23
	MOVLW      1
	MOVWF      R0+0
L_electronique_chenillard_009_16f628_DoDelay23:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay21
	MOVLW      4
	ADDWF      R1+0, 1
L_electronique_chenillard_009_16f628_DoDelay21:
;electronique_chenillard_009_16f628.mpas,86 :: 		0 : Delay_ms(10);
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay27
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_DoDelay28:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay28
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay28
	NOP
	NOP
	GOTO       L_electronique_chenillard_009_16f628_DoDelay24
L_electronique_chenillard_009_16f628_DoDelay27:
;electronique_chenillard_009_16f628.mpas,87 :: 		1 : Delay_ms(30);
	MOVF       R1+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay31
	MOVLW      39
	MOVWF      R12+0
	MOVLW      245
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_DoDelay32:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay32
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay32
	GOTO       L_electronique_chenillard_009_16f628_DoDelay24
L_electronique_chenillard_009_16f628_DoDelay31:
;electronique_chenillard_009_16f628.mpas,88 :: 		2 : Delay_ms(50);
	MOVF       R1+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay35
	MOVLW      65
	MOVWF      R12+0
	MOVLW      238
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_DoDelay36:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay36
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay36
	NOP
	GOTO       L_electronique_chenillard_009_16f628_DoDelay24
L_electronique_chenillard_009_16f628_DoDelay35:
;electronique_chenillard_009_16f628.mpas,89 :: 		3 : Delay_ms(70);
	MOVF       R1+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay39
	MOVLW      91
	MOVWF      R12+0
	MOVLW      231
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_DoDelay40:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay40
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay40
	NOP
	NOP
	GOTO       L_electronique_chenillard_009_16f628_DoDelay24
L_electronique_chenillard_009_16f628_DoDelay39:
;electronique_chenillard_009_16f628.mpas,90 :: 		4 : Delay_ms(100);
	MOVF       R1+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay43
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_DoDelay44:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay44
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay44
	NOP
	NOP
	GOTO       L_electronique_chenillard_009_16f628_DoDelay24
L_electronique_chenillard_009_16f628_DoDelay43:
;electronique_chenillard_009_16f628.mpas,91 :: 		5 : Delay_ms(120);
	MOVF       R1+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay47
	MOVLW      156
	MOVWF      R12+0
	MOVLW      215
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_DoDelay48:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay48
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay48
	GOTO       L_electronique_chenillard_009_16f628_DoDelay24
L_electronique_chenillard_009_16f628_DoDelay47:
;electronique_chenillard_009_16f628.mpas,92 :: 		6 : Delay_ms(150);
	MOVF       R1+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay51
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_DoDelay52:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay52
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay52
	GOTO       L_electronique_chenillard_009_16f628_DoDelay24
L_electronique_chenillard_009_16f628_DoDelay51:
;electronique_chenillard_009_16f628.mpas,93 :: 		7 : Delay_ms(200);
	MOVF       R1+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_DoDelay55
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_DoDelay56:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay56
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay56
	DECFSZ     R11+0, 1
	GOTO       L_electronique_chenillard_009_16f628_DoDelay56
	NOP
	GOTO       L_electronique_chenillard_009_16f628_DoDelay24
L_electronique_chenillard_009_16f628_DoDelay55:
L_electronique_chenillard_009_16f628_DoDelay24:
;electronique_chenillard_009_16f628.mpas,95 :: 		end;
	RETURN
; end of electronique_chenillard_009_16f628_DoDelay

electronique_chenillard_009_16f628_RunProg:

;electronique_chenillard_009_16f628.mpas,98 :: 		begin
;electronique_chenillard_009_16f628.mpas,99 :: 		bProgRun := true;
	MOVLW      255
	MOVWF      _bProgRun+0
;electronique_chenillard_009_16f628.mpas,100 :: 		if idx = 0 then
	MOVF       FARG_RunProg_idx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_RunProg59
;electronique_chenillard_009_16f628.mpas,102 :: 		PORTA := $00;
	CLRF       PORTA+0
;electronique_chenillard_009_16f628.mpas,103 :: 		PORTB := $00;
	CLRF       PORTB+0
;electronique_chenillard_009_16f628.mpas,104 :: 		end;
L_electronique_chenillard_009_16f628_RunProg59:
;electronique_chenillard_009_16f628.mpas,105 :: 		if idx >= 1 then
	MOVLW      1
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg62
;electronique_chenillard_009_16f628.mpas,107 :: 		SetBit(PORTA, 0);
	BSF        PORTA+0, 0
;electronique_chenillard_009_16f628.mpas,108 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,109 :: 		end;
L_electronique_chenillard_009_16f628_RunProg62:
;electronique_chenillard_009_16f628.mpas,110 :: 		if idx >= 2 then
	MOVLW      2
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg65
;electronique_chenillard_009_16f628.mpas,112 :: 		ClearBit(PORTA, 0);
	BCF        PORTA+0, 0
;electronique_chenillard_009_16f628.mpas,113 :: 		SetBit(PORTA, 1);
	BSF        PORTA+0, 1
;electronique_chenillard_009_16f628.mpas,114 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,115 :: 		end;
L_electronique_chenillard_009_16f628_RunProg65:
;electronique_chenillard_009_16f628.mpas,116 :: 		if idx >= 3 then
	MOVLW      3
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg68
;electronique_chenillard_009_16f628.mpas,118 :: 		ClearBit(PORTA, 1);
	BCF        PORTA+0, 1
;electronique_chenillard_009_16f628.mpas,119 :: 		SetBit(PORTA, 2);
	BSF        PORTA+0, 2
;electronique_chenillard_009_16f628.mpas,120 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,121 :: 		end;
L_electronique_chenillard_009_16f628_RunProg68:
;electronique_chenillard_009_16f628.mpas,122 :: 		if idx >= 4 then
	MOVLW      4
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg71
;electronique_chenillard_009_16f628.mpas,124 :: 		ClearBit(PORTA, 2);
	BCF        PORTA+0, 2
;electronique_chenillard_009_16f628.mpas,125 :: 		SetBit(PORTA, 3);
	BSF        PORTA+0, 3
;electronique_chenillard_009_16f628.mpas,126 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,127 :: 		end;
L_electronique_chenillard_009_16f628_RunProg71:
;electronique_chenillard_009_16f628.mpas,128 :: 		if idx >= 5 then
	MOVLW      5
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg74
;electronique_chenillard_009_16f628.mpas,130 :: 		ClearBit(PORTA, 3);
	BCF        PORTA+0, 3
;electronique_chenillard_009_16f628.mpas,131 :: 		SetBit(PORTB, 0);
	BSF        PORTB+0, 0
;electronique_chenillard_009_16f628.mpas,132 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,133 :: 		end;
L_electronique_chenillard_009_16f628_RunProg74:
;electronique_chenillard_009_16f628.mpas,134 :: 		if idx >= 6 then
	MOVLW      6
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg77
;electronique_chenillard_009_16f628.mpas,136 :: 		ClearBit(PORTB, 0);
	BCF        PORTB+0, 0
;electronique_chenillard_009_16f628.mpas,137 :: 		SetBit(PORTB, 1);
	BSF        PORTB+0, 1
;electronique_chenillard_009_16f628.mpas,138 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,139 :: 		end;
L_electronique_chenillard_009_16f628_RunProg77:
;electronique_chenillard_009_16f628.mpas,140 :: 		if idx >= 7 then
	MOVLW      7
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg80
;electronique_chenillard_009_16f628.mpas,142 :: 		ClearBit(PORTB, 1);
	BCF        PORTB+0, 1
;electronique_chenillard_009_16f628.mpas,143 :: 		SetBit(PORTB, 2);
	BSF        PORTB+0, 2
;electronique_chenillard_009_16f628.mpas,144 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,145 :: 		end;
L_electronique_chenillard_009_16f628_RunProg80:
;electronique_chenillard_009_16f628.mpas,146 :: 		if idx >= 8 then
	MOVLW      8
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg83
;electronique_chenillard_009_16f628.mpas,148 :: 		ClearBit(PORTB, 2);
	BCF        PORTB+0, 2
;electronique_chenillard_009_16f628.mpas,149 :: 		SetBit(PORTB, 3);
	BSF        PORTB+0, 3
;electronique_chenillard_009_16f628.mpas,150 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,151 :: 		end;
L_electronique_chenillard_009_16f628_RunProg83:
;electronique_chenillard_009_16f628.mpas,152 :: 		if idx >= 9 then
	MOVLW      9
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg86
;electronique_chenillard_009_16f628.mpas,154 :: 		ClearBit(PORTB, 3);
	BCF        PORTB+0, 3
;electronique_chenillard_009_16f628.mpas,155 :: 		SetBit(PORTB, 4);
	BSF        PORTB+0, 4
;electronique_chenillard_009_16f628.mpas,156 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,157 :: 		end;
L_electronique_chenillard_009_16f628_RunProg86:
;electronique_chenillard_009_16f628.mpas,158 :: 		if idx >= 10 then
	MOVLW      10
	SUBWF      FARG_RunProg_idx+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_chenillard_009_16f628_RunProg89
;electronique_chenillard_009_16f628.mpas,160 :: 		ClearBit(PORTB, 4);
	BCF        PORTB+0, 4
;electronique_chenillard_009_16f628.mpas,161 :: 		SetBit(PORTB, 5);
	BSF        PORTB+0, 5
;electronique_chenillard_009_16f628.mpas,162 :: 		DoDelay;
	CALL       electronique_chenillard_009_16f628_DoDelay+0
;electronique_chenillard_009_16f628.mpas,163 :: 		end;
L_electronique_chenillard_009_16f628_RunProg89:
;electronique_chenillard_009_16f628.mpas,164 :: 		Delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_RunProg91:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_RunProg91
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_RunProg91
	NOP
	NOP
;electronique_chenillard_009_16f628.mpas,165 :: 		bProgRun := false;
	CLRF       _bProgRun+0
;electronique_chenillard_009_16f628.mpas,166 :: 		bProgCanChange := false;
	CLRF       _bProgCanChange+0
;electronique_chenillard_009_16f628.mpas,167 :: 		end;
	RETURN
; end of electronique_chenillard_009_16f628_RunProg

electronique_chenillard_009_16f628_Welcome:

;electronique_chenillard_009_16f628.mpas,172 :: 		begin
;electronique_chenillard_009_16f628.mpas,173 :: 		PORTA := $00;
	CLRF       PORTA+0
;electronique_chenillard_009_16f628.mpas,174 :: 		PORTB := $00;
	CLRF       PORTB+0
;electronique_chenillard_009_16f628.mpas,175 :: 		for i := 1 to 6 do
	MOVLW      1
	MOVWF      R1+0
L_electronique_chenillard_009_16f628_Welcome94:
;electronique_chenillard_009_16f628.mpas,177 :: 		PORTA := PORTA xor $FF;
	MOVLW      255
	XORWF      PORTA+0, 1
;electronique_chenillard_009_16f628.mpas,178 :: 		PORTB := PORTB xor $FF;
	MOVLW      255
	XORWF      PORTB+0, 1
;electronique_chenillard_009_16f628.mpas,179 :: 		Delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_electronique_chenillard_009_16f628_Welcome98:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chenillard_009_16f628_Welcome98
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chenillard_009_16f628_Welcome98
	NOP
	NOP
;electronique_chenillard_009_16f628.mpas,180 :: 		end;
	MOVF       R1+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_chenillard_009_16f628_Welcome97
	INCF       R1+0, 1
	GOTO       L_electronique_chenillard_009_16f628_Welcome94
L_electronique_chenillard_009_16f628_Welcome97:
;electronique_chenillard_009_16f628.mpas,181 :: 		bProgCanChange := false;
	CLRF       _bProgCanChange+0
;electronique_chenillard_009_16f628.mpas,182 :: 		PORTA := %00000000;  // clear porta
	CLRF       PORTA+0
;electronique_chenillard_009_16f628.mpas,183 :: 		PORTB := %11000000;  // clear portb
	MOVLW      192
	MOVWF      PORTB+0
;electronique_chenillard_009_16f628.mpas,184 :: 		end;
	RETURN
; end of electronique_chenillard_009_16f628_Welcome

_main:

;electronique_chenillard_009_16f628.mpas,187 :: 		begin
;electronique_chenillard_009_16f628.mpas,188 :: 		Init;
	CALL       electronique_chenillard_009_16f628_Init+0
;electronique_chenillard_009_16f628.mpas,189 :: 		Welcome;
	CALL       electronique_chenillard_009_16f628_Welcome+0
;electronique_chenillard_009_16f628.mpas,190 :: 		Delay_ms(500);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__main100:
	DECFSZ     R13+0, 1
	GOTO       L__main100
	DECFSZ     R12+0, 1
	GOTO       L__main100
	DECFSZ     R11+0, 1
	GOTO       L__main100
	NOP
	NOP
;electronique_chenillard_009_16f628.mpas,192 :: 		INTCON.GIE  := 1;
	BSF        INTCON+0, 7
;electronique_chenillard_009_16f628.mpas,194 :: 		while true do
L__main102:
;electronique_chenillard_009_16f628.mpas,196 :: 		if bBtnPressed then
	MOVF       _bBtnPressed+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main107
;electronique_chenillard_009_16f628.mpas,198 :: 		bBtnPressed := false;
	CLRF       _bBtnPressed+0
;electronique_chenillard_009_16f628.mpas,199 :: 		if not bProgRun then
	COMF       _bProgRun+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L__main110
;electronique_chenillard_009_16f628.mpas,201 :: 		if ProgIdx > 0 then
	MOVF       _ProgIdx+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L__main113
;electronique_chenillard_009_16f628.mpas,202 :: 		dec(ProgIdx)
	DECF       _ProgIdx+0, 1
	GOTO       L__main114
;electronique_chenillard_009_16f628.mpas,203 :: 		else
L__main113:
;electronique_chenillard_009_16f628.mpas,204 :: 		ProgIdx := 10;
	MOVLW      10
	MOVWF      _ProgIdx+0
L__main114:
;electronique_chenillard_009_16f628.mpas,205 :: 		bProgCanChange := true;
	MOVLW      255
	MOVWF      _bProgCanChange+0
;electronique_chenillard_009_16f628.mpas,206 :: 		end;
L__main110:
;electronique_chenillard_009_16f628.mpas,207 :: 		end;
L__main107:
;electronique_chenillard_009_16f628.mpas,208 :: 		if bProgCanChange then
	MOVF       _bProgCanChange+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main116
;electronique_chenillard_009_16f628.mpas,209 :: 		RunProg(ProgIdx);
	MOVF       _ProgIdx+0, 0
	MOVWF      FARG_RunProg_idx+0
	CALL       electronique_chenillard_009_16f628_RunProg+0
L__main116:
;electronique_chenillard_009_16f628.mpas,210 :: 		end;
	GOTO       L__main102
;electronique_chenillard_009_16f628.mpas,211 :: 		end.
	GOTO       $+0
; end of _main
